"use strict";

const ddcci = require("@hensm/ddcci");

function refreshMonitors() {
  ddcci._refresh();
}

function getMonitorList() {
  return ddcci.getMonitorList();
}

function getMonitorInput(monitor) {
  return ddcci._getVCP(monitor, 0x60)[0];
}

function setMonitorInput(monitor, value) {
  ddcci._setVCP(monitor, 0x60, value);
}

module.exports = {
  VGA_1: 0x01,
  VGA_2: 0x02,
  DVI_1: 0x03,
  DVI_2: 0x04,
  COMPOSITE_1: 0x05,
  COMPOSITE_2: 0x06,
  S_VIDEO_1: 0x07,
  S_VIDEO_2: 0x08,
  TUNER_1: 0x09,
  TUNER_2: 0x0a,
  TUNER_3: 0x0b,
  COMPONENT_1: 0x0c,
  COMPONENT_2: 0x0d,
  COMPONENT_3: 0x0e,
  DISPLAY_PORT_1: 0x0f,
  DISPLAY_PORT_2: 0x10,
  HDMI_1: 0x11,
  HDMI_2: 0x12,
  getMonitorList,
  getMonitorInput,
  setMonitorInput,
  refreshMonitors,
};
