# Monitor Input Switcher

This module allows you to switch a displays input source through software without the need of any hardware like a kvm-switch.

```js
const monitorInputSwitcher = require("monitor-input-switcher");

for (let monitor of monitorInputSwitcher.getMonitorList()) {
  monitorInputSwitcher.setMonitorInput(monitor, monitorInputSwitcher.HDMI_1);
}
```

Currently only working on windows. Monitor has to support Display Data Channel (DDC) defined by VESA (https://glenwing.github.io/docs/VESA-DDCCI-1.1.pdf)

Available Input Sources:

```js
VGA_1
VGA_2
DVI_1
DVI_2
COMPOSITE_1
COMPOSITE_2
S_VIDEO_1
S_VIDEO_2
TUNER_1
TUNER_2
TUNER_3
COMPONENT_1
COMPONENT_2
COMPONENT_3
DISPLAY_PORT_1
DISPLAY_PORT_2
HDMI_1
HDMI_2
```
